#ifndef PULSELENGTHSTAT_ANALYZER_SETTINGS
#define PULSELENGTHSTAT_ANALYZER_SETTINGS

#include <AnalyzerSettings.h>
#include <AnalyzerTypes.h>

class PulseLengthStatAnalyzerSettings : public AnalyzerSettings
{
public:
	PulseLengthStatAnalyzerSettings();
	virtual ~PulseLengthStatAnalyzerSettings();

	virtual bool SetSettingsFromInterfaces();
	void UpdateInterfacesFromSettings();
	virtual void LoadSettings(const char* settings);
	virtual const char* SaveSettings();

	Channel mInputChannel;

protected:
	AnalyzerSettingInterfaceChannel mInputChannelInterface;
};

#endif
